AOZ Studio Beta - Bug #52

Space being appended to end of file read
01/21/2020 07:56 PM - Neil lves

Status: Closed Start date: 01/21/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.2.6

Description

Open In 1,"WordList.txt"
For n = 0 to 5

Input #1,Words$

Print "-" + Word$ + "-"
Next

close 1

See picture for output:
Space-appended.jpg

Using Version 0.9.3,(version drop-down needs updating)

History

#1 - 01/22/2020 11:44 AM - Anonymous
Still the same in 0.9.3.1

#2 - 01/23/2020 08:34 PM - Baptiste Pillot
- Description updated

- Assignee set to Francois Lionet

#3 - 02/03/2020 04:06 PM - Anonymous

Fixed in version 9.3.2

#4 - 02/03/2020 06:30 PM - Francois Lionet

- Status changed from New to Feedback

Can you give me the "Wordlist" file?

#5 - 02/04/2020 02:14 PM - Anonymous

The latest version of AOZ has this fixed

#6 - 03/01/2020 04:55 PM - Paul Kitching
- File FileBug.PNG added

I'm still getting this problem. | have to remove the last character from each read or my comparison with an entered search doesn't find a match.
Oddly, it's not showing the space in a 'print', but does show something in a 'len":

#manifest: "pc"
#displayWidth:1920
#displayHeight :1080
#fullScreen:true
#fps:false
#splashScreen:false

Open In 1,"test.txt"
Input #1,testls$
Input #1,test2$

close 1
print "'"+testl1lS$+"'"+str$ (len(testl$))
print "'"+test2$+"'"+str$ (len(test2$)

if testl$="testl" then print "testl found"
if test2$="test2" then print "test2 found"
wait key

My file has this in it:

testl
test2

The last line works, but the others don't. | have to put a carriage return after the test2 for it to be consistent, then | can remove the last char from each

one so a comparison will return a true on another variable with the same string.

The output shows that test2 is found. See attached pic.

#7 - 03/01/2020 05:26 PM - Paul Kitching
- File test.txt added

I've attached the file.

#8 - 03/19/2020 11:01 AM - Neil Ilves
- Status changed from Feedback to Closed

Files

Space-appended.jpg 17.7 KB 01/21/2020 Neil lves
FileBug.PNG 5.79 KB 03/01/2020 Paul Kitching
test.txt 12 Bytes 03/01/2020 Paul Kitching
